<?xml version="1.0" ?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/">    
        <html>
        <head>
        <title>Las cartas de los Titanes</title>
          <link href="https://fonts.googleapis.com/css?family=Amatic+SC" rel="stylesheet" />
          
          <link rel="stylesheet" type="text/css" href="taller.css" />
          <link href="https://fonts.googleapis.com/css?family=Droid+Serif" rel="stylesheet"/> 
          <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
        </head>
        
        <body>
        <header>Cartas</header>
        <nav>Menu</nav>
        <section id="envoltorio">
            <h1>Cartas de Titanes</h1>
            <xsl:for-each select="./personajes/personaje">
                <xsl:sort select="pGanadas" data-type="number" order="descending"/>
                <xsl:call-template name="perso"/>          
            </xsl:for-each>            
        </section>
          <script>

      
      $( document ).ready(
      
          function() {
            $( ".carta" ).draggable({ cursor: "pointer" });
      } 
      
      ) 
      </script>
        
        </body>
        </html>

    </xsl:template>

    
    <xsl:template name="perso">
            <div class="carta">
            <img>
                <xsl:attribute name="src">
                    img/<xsl:value-of select="./thumb"/>
                </xsl:attribute>
                <xsl:attribute name="title">
                    <xsl:value-of select="./descripcion"/>
                </xsl:attribute>
            </img>                        
                <xsl:if test='./tipo="Arbitro"'>
                     <xsl:call-template name="arbritro"/>
                </xsl:if>
                <xsl:if test='./tipo="Luchador"'>
                    <xsl:call-template name="luchador"/>
                </xsl:if>
            </div>
    </xsl:template>
    
    <xsl:template name="luchador">
        <xsl:call-template name="tablaDatos"/>
    </xsl:template>
    
    <xsl:template name="arbritro">
         <xsl:call-template name="tablaDatos"/>
    </xsl:template>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    <xsl:template name="tablaDatos">           
            <p><xsl:value-of select="./nombre"/></p>
            <div class="tabla">
                <div class="row">
                   Edad <span><xsl:value-of select="./edad"/></span>
                </div>
                <div class="row">
                    Peso <span><xsl:value-of select="./peso"/></span>
                </div>
                <div class="row">
                   Altura <span><xsl:value-of select="./altura"/></span>
                </div>
                <div class="row">
                    Partidas Ganadas <span><xsl:value-of select="./pGanadas"/></span>
                </div>
                <div class="row">
                   Partidas Perdidas <span><xsl:value-of select="./pPerdidas"/></span>
                </div>
            </div>              
    </xsl:template>

    
    
</xsl:transform>

